package com.wms.constants.enums;

/**
 * 入库验证信息枚举
 */
public enum TaskInValidationEnum {
    OK(""),
    NO_REQUEST_BODY("请求参数为空"),
    NO_VEHICLE_ID("载具号为空"),
    DUPLICATE_VEHICLE_ID("载具号重复入库"),
    NO_IN_POINT("起点站台为空"),
    ERROR_IN_POINT("错误的起点站台"),
    NO_GOODS_ID("带料入库物料信息为空"),
    ERROR_GOODS_ID("错误的物料编号"),
    ERROR_GOODS_NUM("带料入库数量为空"),
    NO_WEIGHT("重量信息为空"),
    OVER_WEIGHT("超重"),
    ON_PICKING("当前料箱正在拣选"),
    OTHER_TASKS("当前料箱存在其他任务");

    private final String errorMessage;
    TaskInValidationEnum(String errorMessage) {
        this.errorMessage = errorMessage;
    }
    public String getErrorMessage() {
        return errorMessage;
    }
}
